Page MenuHomePhabricator

Move netbox uwsgi logs to logging pipeline
Closed, ResolvedPublic

Description

netbox uwsgi logs both to file and to logstash (json over udp) over the network with logger=logstash socket:logstash.svc.eqiad.wmnet:11514, we should move to logging to localhost instead (via profile::rsyslog::udp_json_logback_compat) or syslog directly, and from there onto the logging pipeline

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2020, 1:46 PM

Change 573976 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] netbox: log to logging pipeline

https://gerrit.wikimedia.org/r/573976

Change 573976 merged by Filippo Giunchedi:
[operations/puppet@production] netbox: log to logging pipeline

https://gerrit.wikimedia.org/r/573976

Change 574760 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] netbox: log to logging pipeline

https://gerrit.wikimedia.org/r/574760

Change 574760 merged by Filippo Giunchedi:
[operations/puppet@production] netbox: log to logging pipeline

https://gerrit.wikimedia.org/r/574760

Mentioned in SAL (#wikimedia-operations) [2020-02-25T14:46:50Z] <godog> roll restart netbox uwsgi - T245511

fgiunchedi closed this task as Resolved.Feb 25 2020, 2:50 PM
fgiunchedi claimed this task.

Logs are coming in through the pipeline now and available in Kibana as type:netbox